// $Id: PDFKeyEvent.java 19725 2014-07-22 10:25:50Z mike $

package org.faceless.pdf2.viewer;

import java.awt.event.*;
import java.awt.geom.*;
import java.awt.*;
import org.faceless.pdf2.*;

/**
 * An Event called when a {@link KeyEvent} occurs on the viewport.
 */
@SuppressWarnings("unchecked")
public final class PDFKeyEvent
{
    private final KeyEvent event;
    private final PDFViewport viewport;

    PDFKeyEvent(KeyEvent event, PDFViewport viewport) {
        this.event = event;
        this.viewport = viewport;
    }

    /**
     * Return the underlying {@link KeyEvent}
     */
    public KeyEvent getKeyEvent() {
        return event;
    }
}
